Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class AuthzDecisionStatement

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.StatementAbstractType
          oasis.names.tc.saml._2_0.assertion.AuthzDecisionStatement

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:32+02:00",
               comments="JAXB RI v2.2.6")
    public class AuthzDecisionStatement

extends StatementAbstractType
implements Serializable

Java class for AuthzDecisionStatementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthzDecisionStatementType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Action" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Evidence" minOccurs="0"/>
           </sequence>
           <attribute name="Resource" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Decision" use="required" type="{urn:oasis:names:tc:SAML:2.0:assertion}DecisionType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AuthzDecisionStatement()`

Method Summary
`List<Action>` | `getActions()` Gets the value of the actions property.
`DecisionType` | `getDecision()` Gets the value of the decision property.
`Evidence` | `getEvidence()` Gets the value of the evidence property.
`String` | `getResource()` Gets the value of the resource property.
`void` | `setDecision(DecisionType value)` Sets the value of the decision property.
`void` | `setEvidence(Evidence value)` Sets the value of the evidence property.
`void` | `setResource(String value)` Sets the value of the resource property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthzDecisionStatement

    public AuthzDecisionStatement()

Method Detail

### getActions

    public List<Action> getActions()

  Gets the value of the actions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the actions property.

  For example, to add a new item, do as follows:

          getActions().add(newItem);

  Objects of the following type(s) are allowed in the list `Action`

### getEvidence

    public Evidence getEvidence()

  Gets the value of the evidence property.

  Returns:
    possible object is `Evidence`

### setEvidence

    public void setEvidence(Evidence value)

  Sets the value of the evidence property.

  Parameters:
    `value` - allowed object is `Evidence`

### getResource

    public String getResource()

  Gets the value of the resource property.

  Returns:
    possible object is `String`

### setResource

    public void setResource(String value)

  Sets the value of the resource property.

  Parameters:
    `value` - allowed object is `String`

### getDecision

    public DecisionType getDecision()

  Gets the value of the decision property.

  Returns:
    possible object is `DecisionType`

### setDecision

    public void setDecision(DecisionType value)

  Sets the value of the decision property.

  Parameters:
    `value` - allowed object is `DecisionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.